KD SOAP API Documentation: KDSoapDelayedResponseHandle Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
KDSoapDelayedResponseHandle Class Reference

`#include <KDSoapDelayedResponseHandle.h>`

## Public Member Functions
| KDSoapDelayedResponseHandle ()
| KDSoapDelayedResponseHandle (const KDSoapDelayedResponseHandle &)
| ~KDSoapDelayedResponseHandle ()
KDSoapDelayedResponseHandle & | operator= (const KDSoapDelayedResponseHandle &)

## Detailed Description

The delayed-response handle is an opaque data type representing a delayed response. When a server object wants to implement a SOAP method call using an asynchronous operation, it can call KDSoapServerObjectInterface::prepareDelayedResponse(), store the handle, and use the handle later on in order to send the delayed response.

Definition at line 26 of file KDSoapDelayedResponseHandle.h.

## Constructor & Destructor Documentation

## ◆ KDSoapDelayedResponseHandle() [1/2]

KDSoapDelayedResponseHandle::KDSoapDelayedResponseHandle | ( |  | ) |

Constructs a null handle.

Definition at line 27 of file KDSoapDelayedResponseHandle.cpp.

## ◆ KDSoapDelayedResponseHandle() [2/2]

KDSoapDelayedResponseHandle::KDSoapDelayedResponseHandle | ( | const KDSoapDelayedResponseHandle & | rhs | ) |

Definition at line 32 of file KDSoapDelayedResponseHandle.cpp.

## ◆ ~KDSoapDelayedResponseHandle()

KDSoapDelayedResponseHandle::~KDSoapDelayedResponseHandle | ( |  | ) |

Definition at line 45 of file KDSoapDelayedResponseHandle.cpp.

## Member Function Documentation

## ◆ operator=()

KDSoapDelayedResponseHandle & KDSoapDelayedResponseHandle::operator= | ( | const KDSoapDelayedResponseHandle & | rhs | ) |

Definition at line 37 of file KDSoapDelayedResponseHandle.cpp.

The documentation for this class was generated from the following files:

- KDSoapDelayedResponseHandle.h
- KDSoapDelayedResponseHandle.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8